<template>
    <div class="dialog-table-container">
        <el-table
            height="65vh"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                type="index"
                label="序号"
                width="50"
            ></el-table-column>
            <el-table-column prop="title" label="标题">
                <template v-slot="{row}">
                    <el-link
                        type="primary"
                        @click="getNewsDetail('contentDialog', row)"
                        >{{ row.title }}</el-link
                    >
                </template>
            </el-table-column>
            <el-table-column prop="createOrgName" label="责任单位" width="200">
            </el-table-column>
            <el-table-column prop="drafter" label="撰稿人" width="100">
            </el-table-column>
            <el-table-column
                prop="endTime"
                label="有效日期"
                width="120"
            ></el-table-column>
        </el-table>
        <pagenation
            :pageResult="prarms.pageBean"
            @currentChange="pageChange"
            class="pagenation"
        ></pagenation>
        <EasyDialog
            v-model="showEasy"
            :width="dialogOption.width"
            :title="dialogOption.dialogTitle"
        >
            <component
                v-bind:is="currentTabComponent"
                :tableOptions="tableOptions_"
            ></component>
        </EasyDialog>
    </div>
</template>

  <script>
import apiList from '@/api/bigScreen/districView.js'
import pagenation from './pagenation.vue'
import EasyDialog from '@/views/BigScreen/components/easy-dialog/index.vue'

import dialogComponents from '@/views/BigScreen/js/district_reform_sub_dialog_component.js'
import dialogConfig from '@/views/BigScreen/js/DistrictReformSubDialogConfig.js'
export default {
    components: {pagenation, EasyDialog, ...dialogComponents},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            prarms: {
                pageBean: {
                    page: 1,
                    pageSize: 10,
                    total: 0,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'n.EXCELLENT_',
                        relation: 'AND',
                        value: '1',
                    },
                ],
            },
            showEasy: false,
            dialogOption: {
                dialogTitle: '',
                width: '50%',
            },
            tableOptions_: {},
            currentTabComponent: null,
        }
    },
    mounted() {
        this.loadData()
    },
    methods: {
        pageChange(key) {
            this.prarms.pageBean.page = key
            this.loadData()
        },
        getNewsDetail(componentName, column) {
            this.currentTabComponent = dialogConfig.dialogOption[componentName]
                .componentName
                ? dialogConfig.dialogOption[componentName].componentName
                : componentName // 动态组件名称
            if (column) {
                dialogConfig.dialogOption[componentName].option.dialogTitle =
                    column.title
                this.tableOptions_.id = column.id
            }
            this.tableOptions_ = {
                ...dialogConfig.dialogOption[componentName].dataOptions,
                ...this.tableOptions_,
            } //table的查询参数
            this.dialogOption = dialogConfig.dialogOption[componentName].option //弹窗配置参数
            this.showEasy = true
        },
        loadData() {
            this.loading = true
            apiList.getNews(this.prarms, (res) => {
                if (res && res.rows) {
                    this.tableData = res.rows
                    this.prarms.pageBean.page = res.page
                    this.prarms.pageBean.pageSize = res.pageSize
                    this.prarms.pageBean.total = res.total
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss">
@import './table.scss';
</style>
